package com.chenyang.nse.bussiness.entity.orm.table.core.scopeproject;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_pro_edition_scope"
)
public class TProEditionScope extends TProEntity {
   @Column(
      length = 100
   )
   private String edition_name;
   @Column(
      length = 5
   )
   private String enable_type;
   @Column(
      length = 5
   )
   private String scope_level;
   @Column(
      length = 50
   )
   private Date default_date;
   @Column(
      length = 50
   )
   private String create_user;
   @Column(
      length = 50
   )
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date create_date;
   @Column(
      length = 255
   )
   private String projectid;

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getEdition_name() {
      return this.edition_name;
   }

   public void setEdition_name(String edition_name) {
      this.edition_name = edition_name;
   }

   public String getCreate_user() {
      return this.create_user;
   }

   public void setCreate_user(String create_user) {
      this.create_user = create_user;
   }

   public Date getCreate_date() {
      return this.create_date;
   }

   public void setCreate_date(Date create_date) {
      this.create_date = create_date;
   }

   public String getEnable_type() {
      return this.enable_type;
   }

   public void setEnable_type(String enable_type) {
      this.enable_type = enable_type;
   }

   public String getScope_level() {
      return this.scope_level;
   }

   public void setScope_level(String scope_level) {
      this.scope_level = scope_level;
   }

   public Date getDefault_date() {
      return this.default_date;
   }

   public void setDefault_date(Date default_date) {
      this.default_date = default_date;
   }
}
